<div id="header">
  <app-header></app-header>
</div>
<div class="container-fluid">
  <div id="content-wrapper" class="d-flex flex-row">
    <div id="sidebar"><app-sidebar></app-sidebar></div>
    <div id="main-content-wrapper" class="container-fluid">
      <div id="navigation-wrapper" class="d-flex flex-row justify-content-between p-2">
        <div id="navigation">{{ this.dashboard }} {{ this.utilisateur?.role?.role }} /</div>
        <div id="welcome">Bienvenue {{ username }} !</div>
      </div>
      <div id="main-content">
        <app-tableau *ngIf="this.utilisateur?.role?.id == 1 && userDashboard"></app-tableau>
        <app-tableau-plans  [loggedInUser]="utilisateur" *ngIf="projetDashboard"></app-tableau-plans>
        <app-tableau-bugs-repertories [loggedInUser]="utilisateur" *ngIf="projetDashboard"></app-tableau-bugs-repertories>
        <app-tests-actifs [loggedInUser]="utilisateur" *ngIf="this.utilisateur?.role?.id == 4 && projetDashboard"></app-tests-actifs>
        <app-tableau-groupes-fonctionnalites [loggedInUser]="utilisateur" *ngIf="planDashboard"></app-tableau-groupes-fonctionnalites>
        <app-liste-fonctionnalites [loggedInUser]="utilisateur" *ngIf="groupeDashboard"></app-liste-fonctionnalites>
        <app-tableau-types-erreurs *ngIf="this.utilisateur?.role?.id == 1 && userDashboard"></app-tableau-types-erreurs>
        <app-tableau-utilisateurs *ngIf="this.utilisateur?.role?.id == 1 && userDashboard"></app-tableau-utilisateurs>
        <app-liste-projets *ngIf="this.utilisateur?.role?.id == 2 && userDashboard || this.utilisateur?.role?.id == 3 && userDashboard || this.utilisateur?.role?.id == 4 && userDashboard"></app-liste-projets>
        <!--<app-bugs-actifs [loggedInUser]="utilisateur" *ngIf="this.utilisateur?.role?.id == 3 || this.utilisateur?.role?.id == 2 && userDashboard"></app-bugs-actifs>-->
      </div>
    </div>
  </div>
</div>

